### A free/open-source library for quantitative finance

Public Member Functions | Static Public Attributes
SABR Class Reference

SABR interpolation factory and traits More...

`#include <ql/math/interpolations/sabrinterpolation.hpp>`

List of all members.

## Public Member Functions

| SABR (Time t, Real forward, Real alpha, Real beta, Real nu, Real rho, bool alphaIsFixed, bool betaIsFixed, bool nuIsFixed, bool rhoIsFixed, bool vegaWeighted=false, const boost::shared_ptr< EndCriteria > endCriteria=boost::shared_ptr< EndCriteria >(), const boost::shared_ptr< OptimizationMethod > optMethod=boost::shared_ptr< OptimizationMethod >())
template<class I1 , class I2 >
Interpolation | interpolate (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin) const

## Static Public Attributes

static const bool | global = true

## Detailed Description

SABR interpolation factory and traits